## org.red5.server.net.protocol
Class HandshakeFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.red5.server.net.protocol.ProtocolException
                      org.red5.server.net.protocol.HandshakeFailedException

All Implemented Interfaces:
  Serializable

    public class HandshakeFailedException

extends ProtocolException

See Also:
  Serialized Form

Constructor Summary
`HandshakeFailedException(String message)` Create handshake failed exception with given message

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandshakeFailedException

    public HandshakeFailedException(String message)

  Create handshake failed exception with given message

  Parameters:
    `message` - message

Copyright © 2006-2010 The Red5 Project